comunidad_expertos_question_list:
    pattern:  /preguntas/{page}/{order}
    defaults: { _controller: "WebelopingLanderBundle:Question:list", order: numero-de-votos, page: 1 }
    methods:  [GET]
    requirements:
        page: \d+
        order: fecha|nombre-de-usuario|numero-de-votos|numero-de-respuestas|numero-de-visitas|titulo

comunidad_expertos_question_search:
    pattern:  /preguntas/buscar/{q}/{page}
    defaults: { _controller: "WebelopingLanderBundle:Question:search", q: ~, page: 1 }
    methods:  [GET]
    requirements:
        page: \d+

comunidad_expertos_question_new:
    pattern:  /pregunta/nueva
    defaults: { _controller: "WebelopingLanderBundle:Question:new" }
    methods:  [GET,POST]

comunidad_expertos_question_edit:
    pattern:  /pregunta/editar/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:edit" }
    methods:  [GET,POST]
    requirements:
        id: \d+

comunidad_expertos_question_delete:
    pattern:  /pregunta/eliminar/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:delete" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_question_show:
    pattern:  /pregunta/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:show" }
    methods:  [GET, POST]
    requirements:
        id: \d+

comunidad_expertos_question_reply_new:
    pattern:  /pregunta/responder/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:reply" }
    methods:  [GET,POST]
    requirements:
        id: \d+

comunidad_expertos_question_reply_edit:
    pattern:  /pregunta/editar-respuesta/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:replyEdit" }
    methods:  [GET,POST]
    requirements:
        id: \d+

comunidad_expertos_question_reply_delete:
    pattern:  /pregunta/eliminar-respuesta/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:deleteAnswer" }
    methods:  [GET]
    requirements:
        id: \d+
        
comunidad_expertos_question_vote_up:
    pattern:  /pregunta/voto-positivo/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:voteUp" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_question_vote_down:
    pattern:  /pregunta/voto-negativo/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:voteDown" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_question_favorite:
    pattern:  /pregunta/marcar-favorito/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:favorite" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_question_comment_new:
    pattern:  /pregunta/comentar/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:comment" }
    methods:  [GET,POST]
    requirements:
        id: \d+

comunidad_expertos_question_comment_edit:
    pattern:  /pregunta/editar-comentario/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:commentEdit" }
    methods:  [GET,POST]
    requirements:
        id: \d+

comunidad_expertos_question_comment_delete:
    pattern:  /pregunta/eliminar-comentario/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:deleteComment" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_question_spam:
    pattern:  /pregunta/spam/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:spam" }
    methods:  [GET]
    requirements:
        id: \d+
        
comunidad_expertos_question_reply_vote_up:
    pattern:  /pregunta/respuesta/voto-positivo/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:answerVoteUp" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_question_reply_vote_down:
    pattern:  /pregunta/respuesta/voto-negativo/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:answerVoteDown" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_question_reply_accept:
    pattern:  /pregunta/respuesta/aceptar/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:acceptAnswer" }
#    methods:  [GET]
    requirements:
        id: \d+
        
comunidad_expertos_question_reply_favorite:
    pattern:  /pregunta/respuesta/marcar-favorito/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:favoriteAnswer" }
    methods:  [GET]
    requirements:
        id: \d+
        
comunidad_expertos_question_reply_spam:
    pattern:  /pregunta/respuesta/spam/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:spamAnswer" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_question_reply_comment_spam:
    pattern:  /pregunta/respuesta/comentario/spam/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:spamAnswerComment" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_question_reply_comment_new:
    pattern:  /pregunta/comentar/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:replyComment" }
    methods:  [GET,POST]
    requirements:
        id: \d+

comunidad_expertos_question_reply_comment_edit:
    pattern:  /pregunta/respuesta/editar-comentario/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:replyCommentEdit" }
    methods:  [GET,POST]
    requirements:
        id: \d+

comunidad_expertos_question_reply_comment_delete:
    pattern:  /pregunta/respuesta/eliminar-comentario/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:replyDeleteComment" }
    methods:  [GET]
    requirements:
        id: \d+
        
comunidad_expertos_question_reply_comment_vote_up:
    pattern:  /pregunta/respuesta/comentario/voto-positivo/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:replyCommentAnswerVoteUp" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_question_reply_comment_vote_down:
    pattern:  /pregunta/respuesta/comentario/voto-negativo/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:replyCommentAnswerVoteDown" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_question_reply_comment_favorite:
    pattern:  /pregunta/respuesta/comentario/marcar-favorito/{id}
    defaults: { _controller: "WebelopingLanderBundle:Question:favoriteAnswerComment" }
    methods:  [GET]
    requirements:
        id: \d+